groovin_material_icons 1.1.6

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • 95

groovin_material_icons #

This Flutter package is a fork of community_material_icons, which seems to have been abandoned. There are some icons that the original developer added to the repo, but was never released on pub. This package includes those icons.

If you find any icons that are not in the package and should be, please either open an issue linking to the icon or fork the repo, add the icon yourself, and open a pull request

Special thanks to: #

  • Miyoyo
  • ThinkDigital
  • Matthew Evans

How to contribue #

  1. Fork the repo
  2. Clone the repo to your machine
  3. Add your new IconData. Make sure that you know the codePoint for your icon. Check https://cdn.materialdesignicons.com/2.6.95/ for your icon if it is an icon that the community has already created. If you have an svg icon, you can upload it to http://fluttericon.com/ to generate a custom font that will tell you exactly how to add your icon to the package.
  4. Commit your code to your repo
  5. Open a pull request

Getting Started with Flutter #

For help getting started with Flutter, view our online documentation.

For help on editing package code, view the documentation.

1.1.0 - 9/13/2018 #

  • Version 1.1.6 updates incorrect dependencies

  • Version 1.1.5 updates the 'url_launcher' dependency

  • Version 1.1.4 updates the example app

  • Version 1.1.3 updates the example app with icon search and a new view when tappping an icon

  • Version 1.1.2 updates the example app with all icons included in the package

  • Version 1.1.1 adds the send_outline icon

  • Version 1.1.0 starts to introduce Google's new outline icons. Look out for more coming soon!

1.0.0 - 8/15/2018 #

  • Version 1.0.6 introduces the dart icon to the package

  • Version 1.0.5 fixes flutter sdk in pubspec

  • Version 1.0.4 adds the Flutter icon to the package

  • Version 1.0.3 fixed Flutter version

  • Version 1.0.2 fixed example

  • Version 1.0.1 removes the word 'community' from the class name

  • Version 1.0.0 brings new material icons into the package

example/README.md

groovin_material_icons_testapp #

A new Flutter application.

Getting Started #

For help getting started with Flutter, view our online documentation.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  groovin_material_icons: ^1.1.6

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:groovin_material_icons/groovin_material_icons.dart';
  
Version Uploaded Documentation Archive
1.1.6 Jan 7, 2019 Go to the documentation of groovin_material_icons 1.1.6 Download groovin_material_icons 1.1.6 archive
1.1.5 Oct 3, 2018 Go to the documentation of groovin_material_icons 1.1.5 Download groovin_material_icons 1.1.5 archive
1.1.4 Sep 28, 2018 Go to the documentation of groovin_material_icons 1.1.4 Download groovin_material_icons 1.1.4 archive
1.1.3 Sep 27, 2018 Go to the documentation of groovin_material_icons 1.1.3 Download groovin_material_icons 1.1.3 archive
1.1.2 Sep 16, 2018 Go to the documentation of groovin_material_icons 1.1.2 Download groovin_material_icons 1.1.2 archive
1.1.1 Sep 15, 2018 Go to the documentation of groovin_material_icons 1.1.1 Download groovin_material_icons 1.1.1 archive
1.1.0 Sep 14, 2018 Go to the documentation of groovin_material_icons 1.1.0 Download groovin_material_icons 1.1.0 archive
1.0.6 Sep 14, 2018 Go to the documentation of groovin_material_icons 1.0.6 Download groovin_material_icons 1.0.6 archive
1.0.5 Aug 31, 2018 Go to the documentation of groovin_material_icons 1.0.5 Download groovin_material_icons 1.0.5 archive
1.0.4 Aug 31, 2018 Go to the documentation of groovin_material_icons 1.0.4 Download groovin_material_icons 1.0.4 archive

All 15 versions...

Popularity:
Describes how popular the package is relative to other packages. [more]
91
Health:
Code health derived from static analysis. [more]
99
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
95
Learn more about scoring.

We analyzed this package on May 20, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.3.0
  • pana: 0.12.15
  • Flutter: 1.5.8

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Health issues and suggestions

Document public APIs. (-0.99 points)

2371 out of 2372 API elements have no dartdoc comment.Providing good documentation for libraries, classes, functions, and other API elements improves code readability and helps developers find and use your API.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=1.19.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11
meta 1.1.6 1.1.7
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test